Subject: Re: [PATCH] powerpc: Build fix for non SPARSEMEM_VMEMAP config

From: Michael Ellerman <[email-masked]>
Date: Thu, 29 Jun 2017 15:50:57 +1000

"Aneesh Kumar K.V" <[email-masked]> writes:

> On Wednesday 28 June 2017 12:48 PM, Alexey Kardashevskiy wrote:
>> On 28/06/17 16:09, Aneesh Kumar K.V wrote:
>>> We can use pfn_to_page in realmode for other configs. Hence remove the
>>> CONFIG_FLATMEM ifdef
>> 
>> For CONFIG_SPARSEMEM and CONFIG_DISCONTIGMEM and others (I am struggling to
>> find the full list :) )? Are you sure about that? If I recall correctly, at
>> the time realmode_pfn_to_page() could not work for all of them, what changed?
>
> That is one thing I wanted to check. Everything other than 
> SPARSEMEM_VMEMMAP should use linear mapping which can work with real 
> mode also right ? Or am i missing something ?

I think that's right. But I'm going to make you test it anyway :)

cheers